/********************************************************************************************************************************************************************
"Democratization under the threat of revolution: evidence from the Great Reform Act of 1832" 

Table A1. Descriptive statistics.

********************************************************************************************************************************************************************/

global root "{Insert Root Directory}"

set matsize 11000 
clear all
set mem 400m
set more off

clear
cd $root/data
use data_const.dta
global outcome "share1831 share1830"
global riots "constriots1 constriots10 constriots20 constriots30  constriots50 difriot_75_50"
global baseline "share1826 share1826_2 reform_1830 county university narrow rottenindex h_index1831 primary secondary tetitary population1831 density1831 economictrend1 economictrend2" 
global spatial "nearest_pc_km index1 market agg_type1 agg_type2"
global catpet "againstcatholics  forcatholics"
global reformpet "againstreform forreform"
global repression "special_commission share_death_deport" 


summarize $outcome $riots $baseline $spatial road_dissevenoaks_const_km $reformpet againstslavery $catpet $repression gpoor_rate cum_food_riots cum_labour_riots  
 
clear
cd $root/data
use data_post_reform.dta

summarize sur_sharelibvotes35 yes_share1867  

clear
cd $root/data
use data_seat.dta

summarize reformer31 r_whig30
