/********************************************************************************************************************************************************************
"Democratization under the threat of revolution: evidence from the Great Reform Act of 1832" 

Table S20. Past labor and food riots (1793-1822) and the outcome of the 1831 election.

********************************************************************************************************************************************************************/

global root "{Insert Root Directory}"

set matsize 11000 
clear all
set mem 400m
set more off

clear
cd $root/data
use data_const.dta

global base "county university narrow rottenindex" 
global reform "share1826 share1826_2 reform_1830"
global demographic "h_index1831 primary secondary tetitary"
global structure "population1831 density1831 economictrend1 economictrend2 "
global sign "county university rottenindex share1826 reform_1830 economictrend2"
global riots "cum_food_riots cum_labour_riots"

reg share1831 $riots, cluster(county_id)
display e(r2_a)
reg share1831 $riots, robust 

reg share1831 $riots $reform, cluster(county_id) 
display e(r2_a)
reg share1831 $riots $reform, robust  

reg share1831 $riots $reform $base, cluster(county_id)
display e(r2_a)
reg share1831 $riots $reform $base, robust

reg share1831 $riots $reform $base $demographic, cluster(county_id)
display e(r2_a)
reg share1831 $riots $reform $base $demographic, robust

reg share1831 $riots $reform $base $demographic $structure, cluster(county_id) 
display e(r2_a)
reg share1831 $riots $reform $base $demographic $structure, robust

reg share1831 $riots $sign, cluster(county_id) 
display e(r2_a)
reg share1831 $riots $sign, robust 

