/********************************************************************************************************************************************************************
"Democratization under the threat of revolution: evidence from the Great Reform Act of 1832" 

Table S21. Past labor and food riots (1793-1822) and the local Swing riots.

********************************************************************************************************************************************************************/

global root "{Insert Root Directory}"

set matsize 11000 
clear all
set mem 400m
set more off

/********************************************************************************************************************************************************************

Table S21. Panel A, least squares estimates.

********************************************************************************************************************************************************************/

clear
cd $root/data
use data_const.dta

global baseline "share1826 share1826_2 reform_1830 county university narrow rottenindex h_index1831 primary secondary tetitary population1831 density1831 economictrend1 economictrend2" 
global spatial "nearest_pc_km index1 market agg_type1 agg_type2"
global riots "cum_food_riots cum_labour_riots"

reg constriots10 cum_riots, cluster(county_id)
display e(r2_a)
reg constriots10 cum_riots, robust

reg constriots10 cum_riots $baseline $spatial, cluster(county_id)
display e(r2_a)
reg constriots10 cum_riots $baseline $spatial, robust 

reg constriots10 cum_riots road_dissevenoaks_const_km $spatial, cluster(county_id)
display e(r2_a)
reg constriots10 cum_riots road_dissevenoaks_const_km $spatial, robust 

reg constriots10 $riots, cluster(county_id)
display e(r2_a)
reg constriots10 $riots, robust

reg constriots10 $riots $baseline $spatial, cluster(county_id)
display e(r2_a)
reg constriots10 $riots $baseline $spatial, robust 

reg constriots10 $riots  road_dissevenoaks_const_km $spatial, cluster(county_id)
display e(r2_a)
reg constriots10 $riots  road_dissevenoaks_const_km $spatial, robust 


/********************************************************************************************************************************************************************

Table S21. Panel B, Poisson estimates.

********************************************************************************************************************************************************************/

clear
cd $root/data
use data_const.dta

global baseline "share1826 share1826_2 reform_1830 county university narrow rottenindex h_index1831 primary secondary tetitary population1831 density1831 economictrend1 economictrend2" 
global spatial "nearest_pc_km index1 market agg_type1 agg_type2"
global riots "cum_food_riots cum_labour_riots"

poisson constriots10 cum_riots, irr cluster(county_id)
poisson constriots10 cum_riots  $baseline $spatial, irr cluster(county_id)
poisson constriots10 cum_riots road_dissevenoaks_const_km $spatial, irr cluster(county_id)

poisson constriots10 $riots, irr cluster(county_id)
poisson constriots10 $riots  $baseline $spatial, irr cluster(county_id)
poisson constriots10 $riots road_dissevenoaks_const_km $spatial, irr cluster(county_id)
