/********************************************************************************************************************************************************************

"Democratization under the threat of revolution: evidence from the Great Reform Act of 1832" 

Table S22. Past labor and food riots (1793-1822) and the outcome of the elections in 1802, 1806, 1807, 1812, 1818, 1820 and 1826.

********************************************************************************************************************************************************************/

global root "{Insert Root Directory}"

set matsize 11000 
clear all
set mem 400m
set more off

clear
cd $root/data
use data_pre_reform.dta

global base_1802 "food_riots_1800_1801_boh share1796* county university narrow rottenindex_1802"
global base_1806 "food_labour_riots_1793_1805 share1802* county university narrow rottenindex_1806"
global base_1807 "food_labour_riots_1793_1805 share1806* county university narrow rottenindex_1807"
global base_1812 "food_riots_1810_13 share1807* county university narrow rottenindex_1812"
global base_1818 "labour_food_riot_1815_18 share1812* county university narrow rottenindex_1818"
global base_1820 "labour_food_riot_1815_18 share1818* county university narrow rottenindex_1820"
global base_1826 "labour_riot_1822 share1820* county university narrow rottenindex_1826" 

global employment_1801 "h_index_1801 p_agriculture_1801 p_trade_1801 population_1801 density1801"
global employment_1811 "h_index_1811 p_agriculture_1811 p_trade_1811 population_1811 density1811"
global employment_1821 "h_index_1821 p_agriculture_1821 p_trade_1821 population_1821 density1821"

reg share1802 $base_1802 $employment_1801, cluster(county_id)
display e(r2_a)
reg share1802 $base_1802 $employment_1801, robust 

reg share1806 $base_1806 $employment_1801, cluster(county_id)
display e(r2_a)
reg share1806 $base_1806 $employment_1801, robust

reg share1807 $base_1807 $employment_1801, cluster(county_id)
display e(r2_a)
reg share1807 $base_1807 $employment_1801, robust

reg share1812 $base_1812 $employment_1811, cluster(county_id)
display e(r2_a)
reg share1812 $base_1812 $employment_1811, robust 

reg share1818 $base_1818 $employment_1811,  cluster(county_id)
display e(r2_a)
reg share1818 $base_1818 $employment_1811, robust 

reg share1820 $base_1820 $employment_1821, cluster(county_id)
display e(r2_a)
reg share1820 $base_1820 $employment_1821, robust 
 
reg share1826 $base_1826 $employment_1821, cluster(county_id)
display e(r2_a)
reg share1826 $base_1826 $employment_1821, robust 
