/********************************************************************************************************************************************************************
"Democratization under the threat of revolution: evidence from the Great Reform Act of 1832" 

Table S26. Descriptive statistics for the pre-reform placebo tests.
Table S27. Descriptive statistics for the post-reform placebo tests.
Table S28. Descriptive statistics for the all variables used in Table S25.

********************************************************************************************************************************************************************/

global root "{Insert Root Directory}"

set matsize 11000 
clear all
set mem 400m
set more off

/********************************************************************************************************************************************************************

Table S26. Descriptive statistics for the pre-reform placebo tests.

********************************************************************************************************************************************************************/

clear
cd $root/data
use data_pre_reform.dta

global pre_rotten "rottenindex_1802 rottenindex_1806 rottenindex_1807 rottenindex_1812 rottenindex_1818 rottenindex_1820 rottenindex_1826"
global pre_riots "food_riots_1800_1801_boh food_labour_riots_1793_1805 food_riots_1810_13 labour_riot_1822 labour_food_riot_1815_18 cum_food_riots cum_labour_riots cum_riots"
global pre_share "share1796 share1802 share1806 share1807 share1812 share1818 share1820 share1826"
global pre_share_2 "share1796_2 share1802_2 share1806_2 share1807_2 share1812_2 share1818_2 share1820_2 share1826_2"
global employment_1801 "population_1801 density1801 p_agriculture_1801 p_trade_1801 h_index_1801"
global employment_1811 "population_1811 density1811 p_agriculture_1811 p_trade_1811 h_index_1811"
global employment_1821 "population_1821 density1821 p_agriculture_1821 p_trade_1821 h_index_1821"

summarize $pre_share $pre_rotten $employment_1801 $employment_1811 $employment_1821 $pre_riots

/********************************************************************************************************************************************************************

Table S27. Descriptive statistics for the post-reform placebo tests.

********************************************************************************************************************************************************************/

clear
cd $root/data
use data_post_reform.dta

global demography_1831 "population_31 density_31 primary_1831 secondary_1831  h_index_31" 
global demography_1841 "population_41 density_41 primary_1841 secondary_1841  h_index_41"
global demography_1851 "population_51 density_51 primary_1851 secondary_1851  h_index_51"
global demography_1861 "population_61 density_61 primary_1861 secondary_1861  h_index_61"
global share "sur_sharelibvotes32 sur_sharelibvotes35 sur_sharelibvotes37 sur_sharelibvotes41 sur_sharelibvotes47 sur_sharelibvotes52 sur_sharelibvotes57 sur_sharelibvotes59 sur_sharelibvotes65"
global share_2 "sur_sharelibvotes32_2 sur_sharelibvotes35_2 sur_sharelibvotes37_2 sur_sharelibvotes41_2 sur_sharelibvotes47_2 sur_sharelibvotes52_2 sur_sharelibvotes57_2 sur_sharelibvotes59_2 sur_sharelibvotes65_2"

summarize $share yes_share1866 yes_share1867 lib_share1866 con_share1866 $demography_1831 $demography_1841 $demography_1851 $demography_1861

/********************************************************************************************************************************************************************

Table S28. Descriptive statistics for the all variables used in Table S25

********************************************************************************************************************************************************************/

clear
cd $root/data
use data_const.dta
 
global catpet "againstcatholics  forcatholics"
global reformpet "againstreform forreform"
global repression "share_death_deport special_commission" 
global worship = "cath_dummy religious_fractional attendance"

summarize $reformpet againstslavery $worship $catpet $repression gpoor_rate  
